# Ogre::GpuProgramParameters::IntConstantEntry Struct Reference

Int parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| IntConstantEntry ()

## Public Attributes

int | val [4]
bool | isSet

## Detailed Description

Int parameter entry; contains both a group of 4 values and an indicator to say if it's been set or not.

This allows us to filter out constant entries which have not been set by the renderer and may actually be being used internally by the program.

Definition at line 401 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::IntConstantEntry::IntConstantEntry | ( |  | ) |

| Definition at line 405 of file OgreGpuProgram.h.

## Member Data Documentation

bool Ogre::GpuProgramParameters::IntConstantEntry::isSet

| Definition at line 404 of file OgreGpuProgram.h.

int Ogre::GpuProgramParameters::IntConstantEntry::val[4]

| Definition at line 403 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:53 2006